Przejdź do treści

Dokumentacja API

API dla klientów Smrt English

API tylko do odczytu, które przekazuje dane uczniów i grup do systemów Państwa instytucji. Każdy klucz API ma dostęp wyłącznie do danych własnej instytucji.

Otwórz centrum testowe

Jak to działa

Jak przebiega zapytanie.

Państwa system pobiera dane ucznia lub grupy, używając własnego klucza API, a API zwraca dane tylko do odczytu.

Państwa systemSystem informacji o uczniach lub narzędzie do raportowania.
Państwa klucz APIWysyłany z każdym zapytaniem i przypisany do Państwa szkoły.
Smrt English APIEndpointy tylko do odczytu dla uczniów i grup.
Państwa daneOceny, obecność i listy grup w formacie JSON.
keyboard_arrow_up

Smrt English API

play_arrow Getting Started

Step 1: Obtain Your API Key

Your institution's API key will be provided by your Smrt English representative. If you haven't received your API key yet, please contact your Smrt representative.

What you'll receive:
  • A unique API key string (e.g., your_institution_api_key)
  • Your institution ID (for reference)
  • API key name (for identification)

Step 2: Test Authentication

Once you have your API key, test it with the authentication endpoint:

curl -H "X-API-Key: your_institution_api_key" https://smrtenglish.com/smrtapi/v1/auth

Expected Response:

{
  "success": true,
  "data": {
    "authenticated": true,
    "school": {
      "id": 1,
      "name": "Your Institution Name",
      "key": "your_institution"
    },
    "api_key_name": "Your Institution Production API Key",
    "timestamp": "2025-09-29 22:20:32"
  },
  "message": "API key is valid and active"
}

Step 3: Try the Interactive Testing Hub

🚀 New: Interactive API Testing

Test all API endpoints in your browser without writing any code. Perfect for exploring the API and verifying your integration.

Launch Testing Hub →

Step 4: Retrieve Student Data

Option A: Get a List of Students

Retrieve a paginated list of all your students:

curl -H "X-API-Key: your_institution_api_key" \
  https://smrtenglish.com/smrtapi/v1/students

Option B: Get Individual Student Details

Retrieve comprehensive data for a specific student:

curl -H "X-API-Key: your_institution_api_key" \
  https://smrtenglish.com/smrtapi/v1/student/12345

Step 5: Integrate with Your Systems

Use the API to:

  • Export student rosters - Pull complete student lists for your SIS
  • Track progress - Monitor assignment completion and scores
  • Generate reports - Create custom analytics dashboards
  • Identify at-risk students - Find students who need intervention
  • Automate workflows - Sync data to your learning management system